Status: New Start date: 12 Feb 2018

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Improving Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 0.25 hour

Description

JAA would like to reconsider the design of printing for RingElem because the current design is rather inelegant.

Related issues:

Related to CoCoALib - Feature #1117: Better printing of negative coeffs In Progress 07 Nov 2017

Related to CoCoALib - Bug #930: Printing TwinFloat as (rational) coeff withou... New 24 Sep 2016

Related to CoCoALib - Design #432: Semantics of IsPrintedWithMinus In Progress 31 Jan 2014

Related to CoCoALib - Feature #222: Printing polynomials - spaces between terms In Progress 08 Aug 2012

Related to CoCoALib - Bug #74: printing polynomials New 22 Dec 2011

History

#1 - 12 Feb 2018 12:30 - John Abbott

- Related to Feature #1117: Better printing of negative coeffs added

#2 - 12 Feb 2018 12:31 - John Abbott

- Related to Bug #930: Printing TwinFloat as (rational) coeff without brackets added

#3 - 12 Feb 2018 12:33 - John Abbott

- Related to Design #432: Semantics of IsPrintedWithMinus added

#4 - 12 Feb 2018 12:33 - John Abbott

- Related to Feature #222: Printing polynomials - spaces between terms added

#5 - 12 Feb 2018 12:33 - John Abbott

- Related to Bug #74: printing polynomials added

#6 - 12 Feb 2018 12:37 - John Abbott

Part of the motivation is that it seems to be tricky to resolve issue #930 about printing out TwinFloat values as poly coeffs.

JAA now thinks that there should be more than one printing function which says in which context the value is to be printed:

general context (corresponding to the current print functions)

as a coeff inside a polynomial (there may be a difference between first coeff, and all the others)

other special contexts???

#7 - 14 Jun 2018 16:19 - John Abbott

- Target version changed from CoCoALib-0.99600 to CoCoALib-0.99650 November 2019

#8 - 26 Feb 2019 17:04 - John Abbott
https://cocoa.dima.unige.it/redmine/issues/930


- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-0.99700

#9 - 08 Jan 2020 23:02 - John Abbott

- Target version changed from CoCoALib-0.99700 to CoCoALib-1.0
